> ## Documentation Index
> Fetch the complete documentation index at: https://docs.terraspect.earth/llms.txt
> Use this file to discover all available pages before exploring further.

# Current Project Developer

> Get current project developer



## OpenAPI

````yaml get /project-developer
openapi: 3.0.0
info:
  title: Terraspect API
  version: 0.0.2
servers:
  - url: https://api.terraspect.earth
    description: Production server
security: []
tags:
  - name: Projects
    description: Endpoints for retrieving project and developer information
  - name: Impact
    description: Endpoints for accessing impact and community metrics
  - name: Financials
    description: Endpoints for accessing financial data (some require extended permissions)
paths:
  /project-developer:
    get:
      summary: Get Current Project Developer
      description: Retrieves information about the developer of a specific project
      operationId: getCurrentProjectDeveloper
      responses:
        '200':
          description: Project developer information successfully retrieved
          content:
            application/json:
              schema:
                type: object
                required:
                  - name
                  - domain
                  - project_developer_id
                properties:
                  name:
                    type: string
                    description: Name of the project developer
                    example: Green Forest Initiative
                  domain:
                    type: string
                    description: Domain of the project developer
                    example: greenforest.org
                  project_developer_id:
                    type: string
                    description: Unique identifier for the project developer
                    example: pd_123456
        '400':
          description: Invalid project ID format
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Authentication error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                missing_token:
                  summary: No token provided
                  value:
                    code: MISSING_TOKEN
                    message: No bearer token provided
                expired_token:
                  summary: Token expired
                  value:
                    code: TOKEN_EXPIRED
                    message: Token has expired. Please obtain a new token.
                invalid_token:
                  summary: Invalid token
                  value:
                    code: INVALID_TOKEN
                    message: Token is malformed or signature is invalid
      security:
        - StandardAuth: []
components:
  schemas:
    Error:
      type: object
      required:
        - code
        - message
      properties:
        code:
          type: string
          description: Error code for machine processing
          example: INVALID_PROJECT_ID
        message:
          type: string
          description: Human-readable error message
          example: The provided project ID does not exist
        details:
          type: object
          description: Additional error details when available
          nullable: true
  securitySchemes:
    StandardAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: |
        Standard access token, in the format `Authorization: Bearer <token>`

````